Name: imake
Version: 1.0.2
Release: %mkrel 1
Summary: C preprocessor interface to the make utility
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.bz2
License: MIT
Packager: Gustavo Pichorim Boiko <boiko@mandriva.com> 
BuildRoot: %{_tmppath}/%{name}-root
Requires: x11-util-cf-files

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel

%description
Imake is used to generate Makefiles from a template, a set of cpp macro
functions,  and  a  per-directory input file called an Imakefile.  This allows
machine dependencies (such as compiler options,  alternate com- mand  names,
and  special  make  rules)  to  be kept separate from the descriptions of
the various items to be built.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ccmakedep
%{_bindir}/cleanlinks
%{_bindir}/imake
%{_bindir}/makeg
%{_bindir}/mergelib
%{_bindir}/mkdirhier
%{_bindir}/mkhtmlindex
%{_bindir}/revpath
%{_bindir}/xmkmf
%{_mandir}/man1/ccmakedep.1x.bz2
%{_mandir}/man1/cleanlinks.1x.bz2
%{_mandir}/man1/imake.1x.bz2
%{_mandir}/man1/makeg.1x.bz2
%{_mandir}/man1/mergelib.1x.bz2
%{_mandir}/man1/mkdirhier.1x.bz2
%{_mandir}/man1/mkhtmlindex.1x.bz2
%{_mandir}/man1/revpath.1x.bz2
%{_mandir}/man1/xmkmf.1x.bz2


%changelog
* Wed Aug 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-02 16:08:54 (43003)
- new upstream release (1.0.2):
   * Allow specifying TMPDIR environment variable to use instead of /tmp, for
     systems on which /tmp is mounted noexec.

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 23 2006 Pixel <pixel@mandriva.com>
+ 2006-05-23 11:07:33 (27883)
- add "Requires: x11-util-cf-files"

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-17 17:13:16 (27549)
- added missing buildrequires

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-17 17:03:38 (27548)
- adding package imake
